// 电子标签任务点亮模式
import type {INumberValueTagStyle} from "@/interface/app/ITagStyle.ts";

export default class EtagTaskLightModelFormatter {

    etagTaskLightModel: INumberValueTagStyle[] = [
        {value: 1, type: 'primary', label: '立即点亮'},
        {value: 2, type: 'warning', label: '需要激活'},
    ];

    etagTaskLightModelFormatter(value: any): INumberValueTagStyle {
        const findResult = this.etagTaskLightModel.find(f => f.value == value);
        if (findResult) {
            return findResult;
        }
        return {value: value, label: '？' + value.toString(), type: 'danger'};
    }
}